/*form*/
.entities-group {
  margin-top:10px;
  padding-bottom:20px;
}
.entities-group legend {
  border-bottom:1px solid #ddd;
  padding-bottom:5px;
  color:#476481;
  font-size:1.3em;
}

.entities-group .sub-group:not(:last-child){
  padding-bottom:10px;
  border-bottom:1px solid #fff;
}
.entities-group .inputContainer {
	margin-top:15px;;
}
.entities-group .row {
	margin-top:10px;
	margin-bottom:10px;
}
.form-group {
  margin-top:15px;
  margin-bottom:10px;
}

.entities-group .title-label {
  color: #3f5a73;
  font-size:1.1em;
}
.entities-group .lead {
  color:#476481;
  margin-top:10px;
  font-size:1.1em;
}

.entities-group .form-label {
	color:#354b60 ;
}
.entities-group .control-label {
	color:#476580 ;
	font-weight:600;
}
.entities-group .description {
  color:#476481;
  margin-top:10px;
  font-size:0.9em;
}

div.description {
  background-color:#ebf0f4; 
  padding:10px;
  padding-bottom:30px;
}
fieldset.dbgroup {
     margin:20px;
     margin-top:20px;
}
fieldset.dbgroup h4 {
    margin-bottom:15px;
    margin-top:20px;
}

/* form labels */
.label-txt {
    font-style:italic;
    color: #d7a5b2 !important;
    margin-left:20px;
    margin-top:40px;
}
.info-label {
    margin-top:30px;
    font-weight: bold;
    color: #dfb7c1; 
}

.radio-label {
    margin-right:10px;
    margin-bottom:5px;
    font-size:0.9em;
    color:#1c3043;
}
.inline-group .form-check {
	margin-left:15px;
	font-size:0.9em;
    color:#1c3043;
}

.comment-input {
	margin-top:2.5rem;
	color:#4a90a8;
    font-size:0.8em;
}

/*auto-calculated*/

.auto-group label, .auto-group div {
	display:block !important;
	/*text-align:right;*/
} 
.auto-label{
	padding-top:10px;
    margin-right:10px;
    margin-left:10px;
    margin-bottom:5px;
    font-style: italic; 
}
.auto-group div{
	padding-top:10px;
}
.auto-txt {
    margin-left:10px;
    color: #5c6978 !important;
    font-style: italic; 
    border-right:1px solid #5c6978;
    padding-right: 8px;
}
.auto-group span {
	font-size:0.8em;
	color: #6e7a87;
	margin-left:10px;
	font-style:italic;
}


/*inputs*/
input[type=date] {
	width:200px;
}
.number-row input[type=number] {
	  width:60%;
}
.number-row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-flow: row wrap;
          flex-flow: row wrap;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.number-row .unit {
  display: inline-block !important;
  width: auto;
  text-align:right;
  font-style:italic;
  font-weight:400;
  color: #7e93a6!important;
  margin-left:10px;
}
.number-row .connector {
  display: inline-block !important;
  width: auto;
  text-align:right;
  margin-left:5px;
}

.number-row  input[type=number].small-number {
    width:60px !important;
}


input, select, textarea {
   color:black !important;
   font-weight:400  !important;
}

input.invalid, select.invalid, textarea.invalid  {
    border: 2px solid red !important;
    background:#FFCCCC;
}
input.required, select.required, textarea.required {
    border: 2px solid 	yellow !important;
    background:#FFFFCC;
}
input[type='text'][readonly='readonly'] {
    background:#ddd;
} 
input[type='date'][readonly='readonly'] {
    background:#ddd;
}
input[type='select'][readonly='readonly'] {
    background:#ddd;
}
textarea[readonly='readonly'] {
    background:#ddd;
}

button[role=add_item]{
  margin-top:20px;
}
